Subject: Emacs 28.1 Transparency Bug on Ubuntu 22.04 Wayland

From: Ranjeeth Mahankali <[email-masked]>
Date: Sat, 23 Apr 2022 02:35:53 -0400

Hello,

When using Emacs 28.1 (installed via snap) on Ubuntu 22.04 LTS, the 
alpha frame parameter is not being honored when Emacs is in fullscreen 
mode. It looks the same has having no transparency. I am setting the 
transparency like this:

(set-frame-parameter frame 'alpha '(92 . 92))

Exceptions:
* Transparency works momentarily when there is a popup window.
* It also works when the focus is on another program in the foreground.
* It works when Emacs is not in fullscreen more (toggle with F11).
* It also works when on x-org instead of the default Wayland.

Regards,
Ranjeeth Mahankali